=== choosers/Makefile ===
#
#  Copyright (C) 2001-2002 Hewlett-Packard Co.
#	Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# This file is part of the ELILO, the EFI Linux boot loader.
#
#  ELILO is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.
#
#  ELILO is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with ELILO; see the file COPYING.  If not, write to the Free
#  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
#  02111-1307, USA.
#
# Please check out the elilo.txt for complete documentation on how
# to use this program.
#

include ../Make.defaults
include ../Make.rules

TOPDIR=$(CDIR)/..

FILES=

ifeq ($(CONFIG_chooser_simple),y)
FILES +=simple.o
endif

ifeq ($(CONFIG_chooser_textmenu),y)
FILES +=textmenu.o
endif

TARGET=choosers.o

all: $(TARGET)

$(TARGET): check-choosers $(TOPDIR)/Make.defaults $(FILES)
	$(LD) -o $@ -r $(FILES)

clean:
	$(RM) -f $(TARGET) $(FILES)
	
check-choosers:
	@if [ -n "$(FILES)" ]; then \
		exit 0; \
	else \
		echo "You need to define at least one chooser in Make.defaults"; \
		exit 1; \
	fi
