## elilo 3.4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  Copyright (C) 2001-2002 Hewlett-Packard Co.
+#  Copyright (C) 2001-2003 Hewlett-Packard Co.
 #	Contributed by Stephane Eranian <eranian@hpl.hp.com>
 #
 # This file is part of ELILO, the LINUX EFI boot loader.
@@ -30,7 +30,7 @@
 CRTOBJS       = $(EFICRT0)/crt0-efi-$(ARCH).o
 LDSCRIPT      = $(EFICRT0)/elf_$(ARCH)_efi.lds
 
-LDFLAGS	     += -T $(LDSCRIPT) -shared -Bsymbolic -L$(EFILIB) $(CRTOBJS)
+LDFLAGS	     += -T $(LDSCRIPT) -shared -Bsymbolic -L$(EFILIB) -L$(GNUEFILIB) $(CRTOBJS)
 LOADLIBES     = -lefi -lgnuefi $(shell $(CC) -print-libgcc-file-name)
 FORMAT        = efi-app-$(ARCH)
 
@@ -69,7 +69,7 @@
 
 TARGETS = elilo.efi
 
-all: $(SUBDIRS) $(TARGETS)
+all: check_gcc $(SUBDIRS) $(TARGETS)
 
 elilo.efi: elilo.so
 
@@ -91,4 +91,13 @@
 
 .PRECIOUS: elilo.so
 
+#
+# on both platforms you must use gcc 3.0 or higher 
+#
+check_gcc:
+ifeq ($(GCC_VERSION),2)
+	@echo "you need to use a version of gcc >= 3.0, you are using `$(CC) --version`"
+	@exit 1
+endif
+
 include Make.rules
