## elilo 3.6

=== Makefile ===
--- 
+++ 
@@ -61,7 +61,7 @@
 FILES = elilo.o getopt.o strops.o loader.o \
         fileops.o util.o vars.o alloc.o chooser.o  \
 	config.o initrd.o alternate.o bootparams.o \
-	fs/fs.o \
+	gunzip.o fs/fs.o \
 	choosers/choosers.o \
 	devschemes/devschemes.o \
 	$(ARCH)/sysdeps.o \
