## elilo 3.8

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #
 #  Copyright (C) 2001-2003 Hewlett-Packard Co.
 #	Contributed by Stephane Eranian <eranian@hpl.hp.com>
+#	Contributed by Fenghua Yu<fenghua.yu@intel.com>
+#	Contributed by Chandramouli Narayanan<mouli@linux.intel.com>
 #
 # This file is part of ELILO, the LINUX EFI boot loader.
 #
@@ -58,6 +60,10 @@
 SUBDIRS += ia32
 endif
 
+ifeq ($(ARCH),x86_64)
+SUBDIRS += x86_64
+endif
+
 FILES = elilo.o getopt.o strops.o loader.o \
         fileops.o util.o vars.o alloc.o chooser.o  \
 	config.o initrd.o alternate.o bootparams.o \
