=== fs/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  Copyright (C) 2001-2002 Hewlett-Packard Co.
+#  Copyright (C) 2001-2003 Hewlett-Packard Co.
 #	Contributed by Stephane Eranian <eranian@hpl.hp.com>
 #
 # This file is part of the ELILO, the EFI Linux boot loader.
@@ -33,6 +33,10 @@
 FILES += localfs.o
 endif
 
+#
+# Ext2 is now disabled by default. See top level Makefile
+# for details
+#
 ifeq ($(CONFIG_ext2fs),y)
 FILES += ext2fs.o
 endif
