=== debian/changelog ===
elilo (3.12-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #602446
    - Polish (Michał Kułach).  Closes: #657502

 -- Christian Perrier <bubulle@debian.org>  Wed, 01 Feb 2012 20:13:32 +0100

elilo (3.12-4) unstable; urgency=low

  * don't break kernel install if not configured yet, closes: #594650

 -- Bdale Garbee <bdale@gag.com>  Wed, 08 Sep 2010 14:57:33 -0600

elilo (3.12-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add kernel and initramfs hook scripts to ensure elilo is reinstalled
    whenever the kernel or initramfs is updated. closes: #590023

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 30 Jul 2010 18:32:03 +0100

elilo (3.12-3) unstable; urgency=low

  * fix paths and options to build both 32 and 64 bit versions on either
    flavor of build host, closes: #574713
  * don't generate noise when following symlink since that's now the normal
    situation, closes: #581068

 -- Bdale Garbee <bdale@gag.com>  Tue, 08 Jun 2010 13:42:05 -0600

elilo (3.12-2) unstable; urgency=low

  * fix paths to support cross-building in ia32/Makefile, closes: #555153

 -- Bdale Garbee <bdale@gag.com>  Mon, 15 Mar 2010 16:24:32 -0600

elilo (3.12-1) unstable; urgency=low

  * new upstream version, closes: #376002
  * patch for dpkg option --print-installation-architecture going obsolete 
    from Dann Frazier, closes: #550090
  * support building 32 and 64 bit targets on each host, closes: #483045

 -- Bdale Garbee <bdale@gag.com>  Sun, 01 Nov 2009 22:37:21 -0700

elilo (3.10-1) unstable; urgency=low

  * new upstream version
  * incorporate Spanish debconf template translation, closes: #512993

 -- Bdale Garbee <bdale@gag.com>  Fri, 03 Apr 2009 17:49:01 -0600

elilo (3.8-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Tue, 08 Jan 2008 17:37:40 -0700

elilo (3.7-3) unstable; urgency=low

  * update build-dep to specify gnu-efi 3.0d or later, closes: #452010
  * updated Dutch translation, closes: #447725

 -- Bdale Garbee <bdale@gag.com>  Mon, 10 Dec 2007 15:59:57 -0700

elilo (3.7-2) unstable; urgency=low

  * fix ugly merge problem I caused while preparing 3.7-1 
  * apply patches from Aron Griffis accepted by upstream but not in a released
    tarball yet

 -- Bdale Garbee <bdale@gag.com>  Wed, 05 Sep 2007 16:38:41 +0100

elilo (3.7-1) unstable; urgency=low

  * new upstream version
  * patch from upstream CVS via Alex Williamson to clear vmm= options, 
    closes: #433498
  * patch from Eric Schwartz to fix eliloalt, closes: #427512
  * fix typo in elilo.templates, closes: #414663
  * documentation / translation fixes coalesced by Christian Perrier
    - Remove extra spaces in debconf templates. Closes: #413899
    - Galician. Closes: #414116
    - Swedish
    - Tamil
    - German. Closes: #413897
    - French
    - Czech.
    - Portuguese. Closes: #414211
    - Brazilian Portuguese.
    - Japanese. Closes: #414662
    - Italian.
    - Romanian. Closes: #414947, #415369
  * merge Dutch translation, closes: #418396

 -- Bdale Garbee <bdale@gag.com>  Wed, 05 Sep 2007 15:12:13 +0100

elilo (3.6-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * The check for new installs is broken, because apt-install elilo is
    apparently not guaranteed to complete before the fstab is configured;
    instead, check for the existence of /etc/elilo.conf to determine 
    whether to run elilo on install.  Closes: #414419.
  * Also fix a missing $ in the debconf config script that caused a syntax
    error.

 -- Steve Langasek <vorlon@debian.org>  Mon, 12 Mar 2007 03:44:09 -0700

elilo (3.6-3) unstable; urgency=high

  * patch from Dann Frazier that adds an option to run /usr/sbin/elilo in 
    the postinst using debconf, closes: #410362
  * cranking the urgency since 410362 helps with a problem upgrading to etch
    for systems that depend on elilo
  * elilo.sh uses bash syntax, so use bash explicitly, closes: #385492

 -- Bdale Garbee <bdale@gag.com>  Mon,  5 Mar 2007 16:26:32 -0700

elilo (3.6-2) unstable; urgency=low

  * freshen gnu-efi build dependency version, closes: #355252
  * patch from Alex Williamson that adds support to our elilo user space 
    script for the vmm= option needed by Xen, closes: #350185
   
 -- Bdale Garbee <bdale@gag.com>  Sat,  1 Apr 2006 22:28:59 -0800

elilo (3.6-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Mon,  9 Jan 2006 17:45:02 -0700

elilo (3.4pre5.2-2) unstable; urgency=low

  * change section from base to admin to match override
  * accept patch to fix syntax issue in elilo script, closes: #342639

 -- Bdale Garbee <bdale@gag.com>  Fri,  9 Dec 2005 10:14:30 -0800

elilo (3.4pre5.2-1) unstable; urgency=low

  * new upstream version 3.5-pre2, closes: #338185
  * implement suggestion from Thibaut Varene to have elilo.so try to modprobe 
    the efivars module before checking the environment for calling efibootmgr.
  * update elilo.sh to always use relocatable on ia64 elilo.conf generation,
    closes: #324067
  * update debian/copyright to reflect upstream source move, closes: #341136

 -- Bdale Garbee <bdale@gag.com>  Thu,  8 Dec 2005 10:13:58 -0800

elilo (3.4-9) unstable; urgency=low

  * patch from upstream to fix problems when wrong -C param is provided,
    closes: #238434
  * if the --autoconf option is used on an SGI Altix system, add 'relocatable' 
    to the resulting elilo.conf as per request from Jesse Barnes
  * make elilo.sh replace tabs with spaces when copying elilo.conf to the 
    system partition, as tabs kill old elilo.efi versions, closes: #279646
  * patch from upstream to enlarge max textmenu size, closes: #273745

 -- Bdale Garbee <bdale@gag.com>  Mon, 29 Nov 2004 02:38:12 -0700

elilo (3.4-7.sarge.1) testing; urgency=high

  * build 3.4-8 in testing chroot for sarge

