=== debian/control ===
Source: elilo
Section: admin
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>> 5), binutils (>= 2.17.50.0.14), gcc-multilib [i386 amd64], gnu-efi (>=3.0d), po-debconf
Standards-Version: 3.9.1

Package: elilo
Architecture: i386 ia64 amd64
Depends: efibootmgr, dosfstools, debconf (>= 0.5), ${misc:Depends}, ${shlibs:Depends}
Description: Bootloader for systems using EFI-based firmware
 This is the Linux bootloader for systems using the Intel EFI firmware
 specification.  This includes all ia64 systems, and some ia32 systems.
