=== debian/changelog ===
elilo (3.14-3ubuntu1) trusty; urgency=low

  * Merge from Debian. LP: #1175026 Remaining changes:
    - Add nasty hacks for Apple systems - switch to text mode on startup,
      pass the framebuffer size to the system on boot, and automatically set
      legacy-free option on ia32 Apple systems.
      (needs-to-go-upstream)
    - Perform some Ubuntu branding, put all files in /EFI/ubuntu.
      (ubuntu-only)
    - Add a modprobe call if efivars facility is not found. 

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 07 Dec 2013 07:11:04 +1100

elilo (3.14-3) unstable; urgency=low

  * orphan this package as I no longer use it myself

 -- Bdale Garbee <bdale@gag.com>  Tue, 07 May 2013 09:37:59 -0600

elilo (3.14-2) unstable; urgency=low

  * remove unnecessary explicit iocharset request in elilo.sh that prevents
    ia64 installations from succeeding, closes: #685186

 -- Bdale Garbee <bdale@gag.com>  Tue, 16 Oct 2012 21:52:16 -0600

elilo (3.14-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Fri, 29 Jun 2012 11:04:12 -0600

elilo (3.12-5) unstable; urgency=low

  * merge 3.12-4.1 diff from Christian Perrier
  * add VCS entries to control file
  * update standards version

 -- Bdale Garbee <bdale@gag.com>  Fri, 29 Jun 2012 09:25:49 -0600

elilo (3.12-4ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add nasty hacks for Apple systems - switch to text mode on startup,
      pass the framebuffer size to the system on boot, and automatically set
      legacy-free option on ia32 Apple systems.
      (needs-to-go-upstream)
    - Perform some Ubuntu branding, put all files in /EFI/ubuntu.
      (ubuntu-only)
    - Add a modprobe call if efivars facility is not found.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Aug 2011 21:17:34 +0100

elilo (3.10-1ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Automatically set legacy-free option on ia32 Apple systems.
      (needs-to-go-upstream)
    - Add nasty hacks for Apple systems - switch to text mode on startup,
      and pass the framebuffer size to the system on boot.
      (needs-to-go-upstream)
    - Perform some Ubuntu branding, put all files in /EFI/ubuntu.
      (ubuntu-only)
    - Add a modprobe call if efivars facility is not found.
  * Drop lpia support, as lpia is being decommissioned.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Dec 2009 23:52:21 +0000

elilo (3.8-1ubuntu2) karmic; urgency=low

  * Pass -nostdlib to the compiler as well, so that it knows not to use
    stack protection.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Oct 2009 00:22:11 +0100

elilo (3.8-1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Build package for architecture lpia.
    - Automatically set legacy-free option on ia32 Apple systems. (needs-to-go-upstream)
    - Add nasty hacks for Apple systems - switch to text mode on startup, and
      pass the framebuffer size to the system on boot. (needs-to-go-upstream)
    - Perform some Ubuntu branding, put all files in /EFI/ubuntu. (ubuntu-only)
    - Add a modprobe call if efivars facility is not found.

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 19 Jun 2008 19:06:08 -0700

elilo (3.7-3ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Build package for architecture lpia.
    - Automatically set legacy-free option on ia32 Apple systems.
    - Add nasty hacks for Apple systems - switch to text mode on startup, and
      pass the framebuffer size to the system on boot.
    - Perform some Ubuntu branding, put all files in /EFI/ubuntu.
    - Add a modprobe call if efivars facility is not found.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 24 Dec 2007 05:56:06 +0100

elilo (3.7-2ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining changes:
    - Build package for architecture lpia.
    - elilo.sh: Set interpreter to /bin/bash, uses bashisms.
    - Automatically set legacy-free option on ia32 Apple systems.
    - Add nasty hacks for Apple systems - switch to text mode on startup, and
      pass the framebuffer size to the system on boot. 
    - Build with -march=i386 on ia32 systems - appears to be needed for Apple
      hardware.
    - Perform some Ubuntu branding, put all files in /EFI/ubuntu.
    - Add a modprobe call if efivars facility is not found.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Dec 2007 13:35:51 +0100

elilo (3.6-3.1ubuntu2) gutsy; urgency=low

  * Build package for architecture lpia.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Aug 2007 08:13:59 +0000

elilo (3.6-3.1ubuntu1) gutsy; urgency=low

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 May 2007 13:40:13 +0200

elilo (3.6-2ubuntu2) edgy; urgency=low

  * elilo.sh: Set interpreter to /bin/bash, uses bashisms.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Sep 2006 16:11:53 +0000

elilo (3.6-2ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  3 Jul 2006 14:57:32 +0100

elilo (3.6-1ubuntu5) dapper; urgency=low

  * Automatically set legacy-free option on ia32 Apple systems.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Mar 2006 15:36:23 +0000

elilo (3.6-1ubuntu4) dapper; urgency=low

  * Bump gnu-efi build-depends in order to really fix the build issues
  * Fix the length of the string used for fudging Apple framebuffers
  * First upload to be built on an Apple running Ubuntu 

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 20 Mar 2006 00:19:34 +0000

elilo (3.6-1ubuntu3) dapper; urgency=low

  * Add nasty hacks for Apple systems - switch to text mode on startup, and
    pass the framebuffer size to the system on boot. 

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 18 Mar 2006 16:02:03 +0000

elilo (3.6-1ubuntu2) dapper; urgency=low


